## xen-tools 4.3.1

=== Makefile ===
#
#  Utility makefile for people working with xen-tools.
#
#  The targets are intended to be useful for people who are using
# the source repository - but it also contains other useful targets.
#
# Steve
# --
# http://www.steve.org.uk/
#

#
#  Only used to build distribution tarballs.
#
TMP        ?= /tmp
DIST_PREFIX = ${TMP}
VERSION     = 4.3.1
DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
BASE        = xen-tools
VCS         = git

#
#  Installation prefix, useful for the Debian package.
#
prefix=


nop:
	@echo "Valid targets are (alphabetically) :"
	@echo " "
	@echo " clean         = Remove bogus files."
	@echo " commit        = Commit changes, after running check."
	@echo " diff          = See local changes."
	@echo " install       = Install the software"
	@echo " manpages      = Make manpages beneath man/"
	@echo " release       = Make a release tarball"
	@echo " uninstall     = Remove the software"
	@echo " update        = Update from the source repository."
	@echo " "


#
#  Extract the revision history and make a ChangeLog file
# with those details.
#
changelog:
	$(VCS) log -v > ChangeLog


#
#  Delete all temporary files, recursively.
#
clean:
	@find . \
		-path ./.git -prune -o \
		\( \
			-name '*~' -o \
			-name '.#*' -o \
			-name '*.bak' -o \
			-name '*.tmp' -o \
			-name 'tags' -o \
			-name '*.8.gz' -o \
			-name '*.tdy' \
		\) -exec rm "{}" +
	@if [ -d man ]; then rm -rf man ; fi
	@if [ -e build-stamp ]; then rm -f build-stamp ; fi
	@if [ -e configure-stamp ]; then rm -f configure-stamp ; fi
	@if [ -d debian/xen-tools ]; then rm -rf ./debian/xen-tools; fi
	@if [ -e $(BASE)-$(VERSION).tar.gz ]; then rm $(BASE)-$(VERSION).tar.gz ; fi
	@if [ -e $(BASE)-$(VERSION).tar.gz.asc ]; then rm $(BASE)-$(VERSION).tar.gz.asc ; fi
	cd t; $(MAKE) clean


#
#  If the testsuite runs correctly then commit any pending changes.
#
commit: test
	$(VCS) commit


#
#  Show what has been changed in the local copy vs. the remote repository.
#
diff:
	$(VCS) diff 2>/dev/null


#
#  Fix hooks and configuration files permissions
#
fixup-perms:
	for i in hooks/*/*-*; do chmod 755 $$i; done
	chmod 755 hooks/common.sh
	chmod 644 etc/xen-tools.conf
	chmod 644 etc/xm.tmpl
	chmod 644 etc/xm-nfs.tmpl
	chmod 644 misc/xen-tools misc/README

#
#  Install files to /etc/
#
install-etc:
	-mkdir -p ${prefix}/etc/xen-tools
	-if [ -d ${prefix}/etc/xen-tools/hook.d ]; then mv ${prefix}/etc/xen-tools/hook.d/  ${prefix}/etc/xen-tools/hook.d.obsolete ; fi
	-mkdir -p ${prefix}/etc/xen-tools/skel/
	-mkdir -p ${prefix}/etc/xen-tools/role.d/
	-mkdir -p ${prefix}/etc/xen-tools/partitions.d/
	cp etc/xen-tools.conf ${prefix}/etc/xen-tools/
	cp etc/xm.tmpl        ${prefix}/etc/xen-tools/
	cp etc/xm-nfs.tmpl    ${prefix}/etc/xen-tools/
	cp partitions/*-*     ${prefix}/etc/xen-tools/partitions.d/
	-mkdir -p             ${prefix}/etc/bash_completion.d
	cp misc/xen-tools     ${prefix}/etc/bash_completion.d/


#
#  Install binary files.
#
install-bin:
	mkdir -p ${prefix}/usr/bin
	cp bin/xen-create-image     ${prefix}/usr/bin
	cp bin/xen-create-nfs       ${prefix}/usr/bin
	cp bin/xt-customize-image   ${prefix}/usr/bin
	cp bin/xt-install-image     ${prefix}/usr/bin
	cp bin/xt-create-xen-config ${prefix}/usr/bin
	cp bin/xen-delete-image     ${prefix}/usr/bin
	cp bin/xen-list-images      ${prefix}/usr/bin
	cp bin/xen-update-image     ${prefix}/usr/bin
	cp bin/xt-guess-suite-and-mirror ${prefix}/usr/bin
	chmod 755 ${prefix}/usr/bin/xen-create-image
	chmod 755 ${prefix}/usr/bin/xen-create-nfs
	chmod 755 ${prefix}/usr/bin/xt-customize-image
	chmod 755 ${prefix}/usr/bin/xt-install-image
	chmod 755 ${prefix}/usr/bin/xt-create-xen-config
	chmod 755 ${prefix}/usr/bin/xen-delete-image
	chmod 755 ${prefix}/usr/bin/xen-list-images
	chmod 755 ${prefix}/usr/bin/xen-update-image
	chmod 755 ${prefix}/usr/bin/xt-guess-suite-and-mirror



#
#  Install hooks
#
install-hooks:
	for i in roles/* ; do if [ -f $$i ]; then cp $$i ${prefix}/etc/xen-tools/role.d; fi ; done
	for i in ${prefix}/usr/lib/xen-tools/*.d; do if [ -L "$$i" ]; then rm -vf "$$i"; fi; done
	mkdir -p ${prefix}/usr/lib/xen-tools/centos-4.d/
	mkdir -p ${prefix}/usr/lib/xen-tools/centos-5.d/
	mkdir -p ${prefix}/usr/lib/xen-tools/centos-6.d/
	mkdir -p ${prefix}/usr/lib/xen-tools/fedora-core-6.d/
	cp -R hooks/centos-4/*-* ${prefix}/usr/lib/xen-tools/centos-4.d
	cp -R hooks/centos-5/*-* ${prefix}/usr/lib/xen-tools/centos-5.d
	cp -R hooks/centos-6/*-* ${prefix}/usr/lib/xen-tools/centos-6.d
	cp -R hooks/fedora-core-6/*-* ${prefix}/usr/lib/xen-tools/fedora-core-6.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-4.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-5.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-7.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-8.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-9.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-10.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-11.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-12.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-13.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-14.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-15.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-16.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-17.d
	mkdir -p ${prefix}/usr/lib/xen-tools/debian.d/
	cp -R hooks/debian/*-* ${prefix}/usr/lib/xen-tools/debian.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d sarge.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d etch.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d lenny.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d squeeze.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d wheezy.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d sid.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d testing.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d stable.d
	mkdir -p ${prefix}/usr/lib/xen-tools/gentoo.d/
	cp -R hooks/gentoo/*-* ${prefix}/usr/lib/xen-tools/gentoo.d
	mkdir -p ${prefix}/usr/lib/xen-tools/dapper.d/
	cp -R hooks/dapper/*-* ${prefix}/usr/lib/xen-tools/dapper.d/
	mkdir -p ${prefix}/usr/lib/xen-tools/edgy.d/
	cp -R hooks/edgy/*-* ${prefix}/usr/lib/xen-tools/edgy.d/
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d feisty.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d gutsy.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d hardy.d
	mkdir -p ${prefix}/usr/lib/xen-tools/intrepid.d/
	cp -R hooks/intrepid/*-* ${prefix}/usr/lib/xen-tools/intrepid.d/
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s intrepid.d jaunty.d
	mkdir -p ${prefix}/usr/lib/xen-tools/karmic.d/
	cp -R hooks/karmic/*-* ${prefix}/usr/lib/xen-tools/karmic.d/
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d lucid.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d maverick.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d natty.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d oneiric.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d precise.d
	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d quantal.d
	cp hooks/common.sh ${prefix}/usr/lib/xen-tools
	cp -r hooks/common ${prefix}/usr/lib/xen-tools


#
#  Install our library files
#
install-libraries:
	-mkdir -p ${prefix}/usr/share/perl5/Xen/Tools
	cp ./lib/Xen/*.pm ${prefix}/usr/share/perl5/Xen
	cp ./lib/Xen/Tools/*.pm ${prefix}/usr/share/perl5/Xen/Tools

#
#  Generate and install manpages.
#
install-manpages: manpages
	-mkdir -p ${prefix}/usr/share/man/man8/
	cp man/*.8.gz ${prefix}/usr/share/man/man8/


#
#  Install everything.
#
install: fixup-perms install-bin install-etc install-hooks install-libraries install-manpages


#
#  Build our manpages via the `pod2man` command.
#
manpages:
	-mkdir -p man
	cd bin; for i in *-*[!y]; do pod2man --release=${VERSION} --official --section=8 $$i ../man/$$i.8; done
	for i in man/*.8; do gzip --force -9 $$i; done


#
#  Make a new release tarball, and make a GPG signature.
#
release: tidy fixup-perms update-version update-modules clean changelog
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.git*
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz ..
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	gpg --armour --detach-sign ../$(BASE)-$(VERSION).tar.gz

#
#  Make a new orig.tar.gz for the Debian package
#
orig-tar-gz: release
	cp -p ../$(BASE)-$(VERSION).tar.gz ../$(BASE)_$(DEBVERSION).orig.tar.gz
	cp -p ../$(BASE)-$(VERSION).tar.gz.asc ../$(BASE)_$(DEBVERSION).orig.tar.gz.asc


#
#  Run the test suite.
#
test: update-modules
	prove --shuffle t/


#
#  Run the test suite verbosely.
#
test-verbose:
	prove --shuffle --verbose t/



#
#  Run our main script(s) through perltidy
#
tidy:
	if [ -x /usr/bin/perltidy ]; then \
	for i in bin/*-*[^~]; do \
		echo "tidying $$i"; \
		perltidy  $$i \
	; done \
	; fi

#
#  Uninstall the software, completely.
#
uninstall:
	rm -f ${prefix}/usr/bin/xen-create-image
	rm -f ${prefix}/usr/bin/xen-delete-image
	rm -f ${prefix}/usr/bin/xen-list-images
	rm -f ${prefix}/usr/bin/xen-update-image
	rm -f ${prefix}/usr/bin/xt-customize-image
	rm -f ${prefix}/usr/bin/xt-install-image
	rm -f ${prefix}/usr/bin/xt-create-xen-config
	rm -f ${prefix}/usr/bin/xen-create-nfs
	rm -f ${prefix}/usr/bin/xt-guess-suite-and-mirror
	rm -f ${prefix}/etc/xen-tools/xen-tools.conf
	rm -f ${prefix}/etc/xen-tools/xm.tmpl
	-rm -rf ${prefix}/etc/xen-tools/skel
	-rmdir ${prefix}/etc/xen-tools/
	-rm -f ${prefix}/etc/bash_completion.d/xen-tools
	rm -rf ${prefix}/usr/lib/xen-tools
	rm -f ${prefix}/usr/share/man/man8/xen-create-image.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-delete-image.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-list-images.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-update-image.8.gz


#
#  Update the local copy from the remote repository.
#
#  NOTE: Removes empty local directories.
#
update:
	$(VCS) pull --update 2>/dev/null


#
#  Update the module test - this is designed to automatically write test
# cases to ensure that all required modules are available.
#
update-modules:
	@cd t && make modules


#
#  Update the release number of each script we have from the variable
# at the top of this file.  Steve-Specific?
#
update-version:
	perl -pi.bak -e "s/RELEASE = '[0-9]\.[0-9][^']*';/RELEASE = '${VERSION}';/g" bin/*-*[!~]

=== debian/changelog ===
xen-tools (4.3.1-1) unstable; urgency=low

  * Remove t/modules.t in upstream's t/Makefile instead of debian/rules'
    clean target.
  * Run t/hook-tls.t only if distribution actually has
    10-disable-tls. Fixes test suite failure on 32 bit architectures.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 16:44:50 +0200

xen-tools (4.3-1) unstable; urgency=low

  * New upstream release
    - Remove most Mercurial traces
  * Fixes FTBFS due to testsuite failures (Closes: #676681)
    - Disable tests of not yet used Xen::Tools. Fixes FTBFS in test suite
      due to not satisifed Moose dependency in Xen::Tools::Log.
    - Added build-dependencies on libmoose-perl, git, and
      libtest-pod-coverage-perl for t/perl-syntax.t, t/gitignore.t, and
      t/pod-coverage.t.
    - Skip t/hook-inittab.t if /etc/inittab is not present on the build
      host. Fixes FTBFS on Ubuntu.
  * Switch to source format to "3.0 (quilt)"
  * Don't remove stamp files manually, dh_clean does that already
  * Remove generated file t/modules.t in clean target to be able to build
    twice in a row.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 22:23:59 +0200

xen-tools (4.3~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Correctly checks and documents valid values for
      disk_device. (Closes: #621499)
    - Supports creating Ubuntu 11.10 Oneiric DomUs (LP: #848654)
    - Supports creating Ubuntu 12.04 Precise and 12.10 Quantal DomUs
    - Supports creating CentOS 6 DomUs (Closes: #578399; Thanks Johan
      Schurer)
      + Recommend rinse >= 1.9.1-1
    - Supports rinse 2.0
    - Updated mirror list for discontinued releases of Debian and Ubuntu
    - Workaround for missing unit parsing in xen-create-nfs (Closes:
      #648814)
    - Fix wildcard vs regexp in memory configuration parsing.
    - Fix misbehaviour if --ip option is passed multiple times (Closes:
      #652110; Thanks Brian Bennett and Alexander Mette!)
    - Supports /etc/apt/sources.list.d/ (Closes: #650300)
    - xt-guess-suite-and-mirror exits with non-zero if no proper mirror
      could be extracted from /etc/apt/sources.list or
      /etc/apt/sources.list.d/*.list (Thanks Phil Frost!)
    - Only attempts to generate the ssh host keys if not already present
      (Closes: #607236; Thanks Vagrant Cascadian!)
    - New option --apt_proxy (Closes: #610457; Thanks Alex Tomlins!)
    - Always write down root partition as first physical device, otherwise
      pygrub fails (Closes: #609673)
    - No more expect at least one option to mkfs.* calls. Fixes btrfs
      creation.  (Closes: #609982)
    - Fixes call to non-existent function logPrint (Closes: #673335)
    - Also disable initctl in the chroot, not only start-stop-daemon
      (LP: #997063; Thanks xstasi!)
    - Massive code deduplication in hooks directory
    - Use release blacklist for libc6-xen instead of whitelist in
      hooks/debian.d/20-setup-apt
    - Enforces umask 022 in 50-setup-hostname* (Hopefully closes: #619630)
  * Add dependency on openssh-client for ssh-keygen (Closes: #649108)
  * Use dh_auto_test for build time tests and add according
    build-dependencies on devscripts and libfile-slurp-perl.
  * No more suggest evms-cli -- it's no more available on any supported
    Dom0 distribution. Thanks to Markus Waldeck for the hint.
  * Add NEWS to debian/docs.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Fix the following Lintian warnings:
    - copyright-refers-to-symlink-license
    - debian-rules-missing-recommended-target
  * debian/copyright: Update copyright years
  * Move xen-utils (for pygrub) from Suggests to Recommends as pygrub
    becomes the necessary way to boot more and more often.
  * Remove xen-shell from Recommends, nobody picked it up. (Closes:
    #603708)

 -- Axel Beckert <abe@debian.org>  Fri, 08 Jun 2012 14:18:38 +0200

xen-tools (4.2.1-1) unstable; urgency=low

  * New upstream release
    - Fixes bashism in "editor" roles script. Thanks Raphaël Halimi for
      the patch! (Closes: #605203)
    - Fixes missing architecture check in Sarge amd64 special case. Thanks
      to Guillaume Pernot! (Closes: #611397) Also changes default Sarge
      amd64 mirror to http://archive.debian.org/debian-amd64/.
    - Allows --ip=auto again (Closes: #611407)
    - Unmounts /proc and /dev/pts of the freshly installed DomU just
      before unmounting the disk image. (Closes: #588783)

 -- Axel Beckert <abe@debian.org>  Thu, 17 Mar 2011 01:00:47 +0100

xen-tools (4.2-1) unstable; urgency=low

  * New upstream release
    - Fixes several cases of broken or incomplete config files with
      unexpected or seldom parameter combinations. (Closes: #484652)
    - Updates examples in /etc/xen-tools.conf to better reflect current
      state
    - Allows usage of xvc* as serial console as used as default by older
      Xen versions.
    - Preliminary support for Ubuntu 11.04 (Natty) and Debian 7.0 (Wheezy)
      (Closes: #597521)
    - Switches default mirror for EoL'ed Ubuntu 8.10 (Intrepid) and Debian
      4.0 (Etch) to the distributions' archives for old releases.
  * Does no more try extract the upstream changelog during debian package
    build. The commit which introduced this problem has been reverted.
    Document more clearly in debian/README.source how to build the package
    from a checked out copy of the git repository, especially that the
    upstream changelog has to be generated first out of the VCS log.
    (Closes: #595883)
  * Update debian/copyright: Add Stéphane Jourdois to list of authors.

 -- Axel Beckert <abe@debian.org>  Tue, 05 Oct 2010 19:01:49 +0200

xen-tools (4.2~rc1-1) unstable; urgency=low

  [Axel Beckert]
  * New upstream release candidate
    - Uses GeoIP for Debian mirrors: Default Debian mirror is now
      cdn.debian.net, see http://wiki.debian.org/DebianGeoMirror for
      details.
    - Uses the same 15-disable-hwclock hook for Debian as for Ubuntu DomUs
      (Closes: #588880)


=== debian/control ===
Source: xen-tools
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.0.0), libtest-pod-perl, libtext-template-perl, libfile-slurp-perl, devscripts, libmoose-perl, libtest-pod-coverage-perl, git
Standards-Version: 3.9.3
Homepage: http://xen-tools.org/software/xen-tools
Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git

Package: xen-tools
Architecture: all
Depends: debootstrap | cdebootstrap, perl-modules, libtext-template-perl, libconfig-inifiles-perl, libfile-slurp-perl, ${misc:Depends}, openssh-client
Recommends: xen-hypervisor-amd64 | xen-hypervisor-i386 | xen-hypervisor-i386-pae, rinse (>= 1.9.1-1), libexpect-perl, xen-utils
Suggests: reiserfsprogs, xfsprogs, cfengine2, btrfs-tools
Description: Tools to manage Xen virtual servers
 This package contains tools to manage Debian based Xen virtual servers.
 .
 Using the scripts you can easily create fully configured Xen guest
 domains (DomU) which can be listed, updated, or copied easily.
 .
 xen-tools currently can install:
 .
   * Debian 3.1 Sarge (i386 only)
   * Debian 4.0 Etch
   * Debian 5.0 Lenny
   * Debian 6.0 Squeeze
   * Debian 7.0 Wheezy
   * Debian Sid (Unstable)
   * Ubuntu 6.06 Dapper Drake (LTS)
   * Ubuntu 6.10 Edgy Eft
   * Ubuntu 7.04 Feisty Fawn
   * Ubuntu 7.10 Gutsy Gibbon
   * Ubuntu 8.04 Hardy Heron (LTS)
   * Ubuntu 8.10 Intrepid Ibex
   * Ubuntu 9.04 Jaunty Jackaplope
   * Ubuntu 9.10 Karmic Koala
   * Ubuntu 10.04 Lucid Lynx (LTS)
   * Ubuntu 10.10 Maverick Meerkat
   * Ubuntu 11.04 Natty Narwhal
   * Ubuntu 11.10 Oneiric Ocelot
   * Ubuntu 12.04 Precise Pangolin (LTS)
   * CentOS 5
   * CentOS 6

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	make clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_auto_test
	make manpages
	make install prefix=`pwd`/debian/xen-tools

	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installexamples debian/examples/setup-kernel-initrd debian/examples/update-modules
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xen-tools 4.4~beta1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.3.1
+VERSION     = 4.4beta1
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -22,7 +22,8 @@
 #
 #  Installation prefix, useful for the Debian package.
 #
-prefix=
+DESTDIR=
+prefix=${DESTDIR}
 
 
 nop:
@@ -94,7 +95,7 @@
 	chmod 644 etc/xen-tools.conf
 	chmod 644 etc/xm.tmpl
 	chmod 644 etc/xm-nfs.tmpl
-	chmod 644 misc/xen-tools misc/README
+	chmod 644 misc/*
 
 #
 #  Install files to /etc/
@@ -109,8 +110,10 @@
 	cp etc/xm.tmpl        ${prefix}/etc/xen-tools/
 	cp etc/xm-nfs.tmpl    ${prefix}/etc/xen-tools/
 	cp partitions/*-*     ${prefix}/etc/xen-tools/partitions.d/
-	-mkdir -p             ${prefix}/etc/bash_completion.d
-	cp misc/xen-tools     ${prefix}/etc/bash_completion.d/
+	-mkdir -p                         ${prefix}/etc/bash_completion.d/
+	cp misc/xen-tools.bash-completion ${prefix}/etc/bash_completion.d/xen-tools
+	-mkdir -p                         ${prefix}/etc/initramfs-tools/conf.d/
+	cp misc/xen-tools.initramfs-tools ${prefix}/etc/initramfs-tools/conf.d/xen-tools
 
 
 #
@@ -144,60 +147,63 @@
 #
 install-hooks:
 	for i in roles/* ; do if [ -f $$i ]; then cp $$i ${prefix}/etc/xen-tools/role.d; fi ; done
-	for i in ${prefix}/usr/lib/xen-tools/*.d; do if [ -L "$$i" ]; then rm -vf "$$i"; fi; done
-	mkdir -p ${prefix}/usr/lib/xen-tools/centos-4.d/
-	mkdir -p ${prefix}/usr/lib/xen-tools/centos-5.d/
-	mkdir -p ${prefix}/usr/lib/xen-tools/centos-6.d/
-	mkdir -p ${prefix}/usr/lib/xen-tools/fedora-core-6.d/
-	cp -R hooks/centos-4/*-* ${prefix}/usr/lib/xen-tools/centos-4.d
-	cp -R hooks/centos-5/*-* ${prefix}/usr/lib/xen-tools/centos-5.d
-	cp -R hooks/centos-6/*-* ${prefix}/usr/lib/xen-tools/centos-6.d
-	cp -R hooks/fedora-core-6/*-* ${prefix}/usr/lib/xen-tools/fedora-core-6.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-4.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-5.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-7.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-8.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-9.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-10.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-11.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-12.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-13.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-14.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-15.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-16.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s fedora-core-6.d fedora-core-17.d
-	mkdir -p ${prefix}/usr/lib/xen-tools/debian.d/
-	cp -R hooks/debian/*-* ${prefix}/usr/lib/xen-tools/debian.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d sarge.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d etch.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d lenny.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d squeeze.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d wheezy.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d sid.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d testing.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s debian.d stable.d
-	mkdir -p ${prefix}/usr/lib/xen-tools/gentoo.d/
-	cp -R hooks/gentoo/*-* ${prefix}/usr/lib/xen-tools/gentoo.d
-	mkdir -p ${prefix}/usr/lib/xen-tools/dapper.d/
-	cp -R hooks/dapper/*-* ${prefix}/usr/lib/xen-tools/dapper.d/
-	mkdir -p ${prefix}/usr/lib/xen-tools/edgy.d/
-	cp -R hooks/edgy/*-* ${prefix}/usr/lib/xen-tools/edgy.d/
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d feisty.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d gutsy.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s edgy.d hardy.d
-	mkdir -p ${prefix}/usr/lib/xen-tools/intrepid.d/
-	cp -R hooks/intrepid/*-* ${prefix}/usr/lib/xen-tools/intrepid.d/
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s intrepid.d jaunty.d
-	mkdir -p ${prefix}/usr/lib/xen-tools/karmic.d/
-	cp -R hooks/karmic/*-* ${prefix}/usr/lib/xen-tools/karmic.d/
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d lucid.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d maverick.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d natty.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d oneiric.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d precise.d
-	-cd ${prefix}/usr/lib/xen-tools/ && ln -s karmic.d quantal.d
-	cp hooks/common.sh ${prefix}/usr/lib/xen-tools
-	cp -r hooks/common ${prefix}/usr/lib/xen-tools
+	for i in ${prefix}/usr/share/xen-tools/*.d; do if [ -L "$$i" ]; then rm -vf "$$i"; fi; done
+	mkdir -p ${prefix}/usr/share/xen-tools/centos-4.d/
+	mkdir -p ${prefix}/usr/share/xen-tools/centos-5.d/
+	mkdir -p ${prefix}/usr/share/xen-tools/centos-6.d/
+	mkdir -p ${prefix}/usr/share/xen-tools/fedora-core-6.d/
+	cp -R hooks/centos-4/*-* ${prefix}/usr/share/xen-tools/centos-4.d
+	cp -R hooks/centos-5/*-* ${prefix}/usr/share/xen-tools/centos-5.d
+	cp -R hooks/centos-6/*-* ${prefix}/usr/share/xen-tools/centos-6.d
+	cp -R hooks/fedora-core-6/*-* ${prefix}/usr/share/xen-tools/fedora-core-6.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-4.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-5.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-7.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-8.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-9.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-10.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-11.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-12.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-13.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-14.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-15.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-16.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-17.d
+	mkdir -p ${prefix}/usr/share/xen-tools/debian.d/
+	cp -R hooks/debian/*-* ${prefix}/usr/share/xen-tools/debian.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sarge.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d etch.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d lenny.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d squeeze.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d wheezy.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d jessie.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sid.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d testing.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d stable.d
+	mkdir -p ${prefix}/usr/share/xen-tools/gentoo.d/
+	cp -R hooks/gentoo/*-* ${prefix}/usr/share/xen-tools/gentoo.d
+	mkdir -p ${prefix}/usr/share/xen-tools/dapper.d/
+	cp -R hooks/dapper/*-* ${prefix}/usr/share/xen-tools/dapper.d/
+	mkdir -p ${prefix}/usr/share/xen-tools/edgy.d/
+	cp -R hooks/edgy/*-* ${prefix}/usr/share/xen-tools/edgy.d/
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d feisty.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d gutsy.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d hardy.d
+	mkdir -p ${prefix}/usr/share/xen-tools/intrepid.d/
+	cp -R hooks/intrepid/*-* ${prefix}/usr/share/xen-tools/intrepid.d/
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s intrepid.d jaunty.d
+	mkdir -p ${prefix}/usr/share/xen-tools/karmic.d/
+	cp -R hooks/karmic/*-* ${prefix}/usr/share/xen-tools/karmic.d/
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d lucid.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d maverick.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d natty.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d oneiric.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d precise.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d quantal.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
+	cp hooks/common.sh ${prefix}/usr/share/xen-tools
+	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
 
 #
@@ -205,7 +211,6 @@
 #
 install-libraries:
 	-mkdir -p ${prefix}/usr/share/perl5/Xen/Tools
-	cp ./lib/Xen/*.pm ${prefix}/usr/share/perl5/Xen
 	cp ./lib/Xen/Tools/*.pm ${prefix}/usr/share/perl5/Xen/Tools
 
 #
@@ -298,7 +303,9 @@
 	-rm -rf ${prefix}/etc/xen-tools/skel
 	-rmdir ${prefix}/etc/xen-tools/
 	-rm -f ${prefix}/etc/bash_completion.d/xen-tools
+	# Maybe needed to remove older releases of xen-tools
 	rm -rf ${prefix}/usr/lib/xen-tools
+	rm -rf ${prefix}/usr/share/xen-tools
 	rm -f ${prefix}/usr/share/man/man8/xen-create-image.8.gz
 	rm -f ${prefix}/usr/share/man/man8/xen-delete-image.8.gz
 	rm -f ${prefix}/usr/share/man/man8/xen-list-images.8.gz

=== debian/changelog ===
xen-tools (4.4~beta1-1) unstable; urgency=low

  * New upstream beta release
    - Code deduplication to unify the xen-*-image scripts
    - Moves /usr/lib/xen-tools/ to /usr/share/xen-tools/
    - Use http.debian.net as default Debian mirror if no mirror is given
      and xt-guess-suite-and-mirror is not used.
    - Fix symbolic link hooks/centos-6/15-setup-arch (Closes: #690299)
    - Execute END block not on --version/--help/--manual (Closes: #684346)
    - Move code for --boot feature to END block. Fixes missing SSH
      fingerprint display if --boot was used. (Closes: #679183)
    - Correctly handle aborts in END block. (Closes: #704882)
    - Use local parameter instead of global variable in unMountImage.
    - Also recognize "M" and "G" instead of "MB" and "GB" as size unit for
      --memory. (Closes: #691320) Document the recognized units.
    - Default DomUs to use the noop scheduler (Closes: #693131)
    - Overwork TLS disabling on Debian and Ubuntu
    - xen-list-images now also outputs the file name of the config file.
    - xen-list-images and xen-delete-image now understand --extension.
    - Fixes "--extension=" with empty parameter.
    - Sarge amd64 case handle properly
    - Remove CVS revisions from --version output
    - Support for Debian Jessie, Ubuntu Raring and preliminary support for
      Ubuntu Saucy (debootstrap doesn't have support for Saucy at the time
      of writing)
    - Preliminary support for xl toolstack
    - xen-create-image: Consistently use runCommand() instead of system()
    - xt-install-image: Don't bail out if only cdebootstrap is installed
      but not debootstrap (Thanks Elmar Heeb!)
    - Makefile accepts DESTDIR=…
    - Move examples from debian/examples to examples.
    - Uses File::Which exclusively (no more findBinary, no more `which`),
      added (build-) dependency on libfile-which-perl
    - Knows about module-init-tools → kmod transition in wheezy/raring.
    - Adds default mount options for ext4, identical to ext2/ext3.
    - Ships /etc/initramfs-tools/conf.d/xen-tools for generating Dom0
      initrds also suitable for DomU usage. Trigger update-initramfs.
    - By default install linux-image-virtual instead of linux-image-server
      on Ubuntu Intrepid and newer (Hopefully closes: #640099, LP #839492)
    - Installs a legacy grub in all pygrub based Debian/Ubuntu DomUs to be
      able to update the menu.list automatically.
    - hooks/common.sh: installDebianPackage no more installs recommends.
    - hooks/common.sh: Rename installCentOS4Package to installRPMPackage.
      Add installCentOS4Package wrapper for backward compatibility.
    - Fix filesystem tools installation in 91-install-fs-tools (which was
      broken since 4.3~rc1-1) by merging 91-install-fs-tools back into
      90-make-fstab. (Closes: #715340) Also supports RPM-based
      distributions now.
    - Fixes export of environment variables. Previously they could contain
      dashes and then were only accessible from within Perl, but not from
      within Bash.
    - Fixes creation of "ARRAY(0x…).log" named log files.
    - Makes some options (like --pygrub) negatable.
    - Uses Test::NoTabs; add according build-dependency.
    - Removes unused Perl modules Xen::Tools and Xen::Tools::Log from
      source code. Also removes the according tests from the test suite.
      → Remove no more needed build-dependency on Moose.
    - Better documents and checks requirements for the --apt_proxy
      value. (See #623443 for the corresponding apt issue.) Add (build-)
      dependency on libdata-validate-uri-perl.
    - Use Data::Validate::{Domain,IP} for IP addresses and hostname checks.
      Add corresponding (build-) dependencies on
      libdata-validate-{domain,ip}-perl.
    - Fixes broken quoting in list of required binaries
    - Declares POD encoding. Fixes FTBFS with Perl 5.18. (Closes: #720519)
  * Add debian/gbp.conf to be able to to build xen-tools with
    git-buildpackage.
  * Clean up debian/rules:
    - Don't mention (generated) upstream changelog explicitly,
      dh_installchangelogs finds it by itself if it exist. That way
      building out of a freshly clone git repository does not fail due to
      a missing upstream changelog.
    - Use dh_auto_{install,clean}; use "$(MAKE)" instead of "make" where
      dh_auto_* can't help. No more explicitly call "make manpages", it's
      a depedency of "make install" in the next line anyway.
    - Finally switch to a minimal dh style debian/rules.
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Bump Standards-Version to 3.9.4 (no changes)
  * Add dependency on ${perl:Depends} to fix dpkg-gencontrol warning.
  * Bump copyright years in debian/copyright.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Fri, 23 Aug 2013 19:00:03 +0200

=== debian/control ===
Source: xen-tools
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               devscripts,
               git,
               libdata-validate-domain-perl,
               libdata-validate-ip-perl,
               libdata-validate-uri-perl,
               libfile-slurp-perl,
               libfile-which-perl,
               libtest-notabs-perl,
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               libtext-template-perl
Standards-Version: 3.9.4
Homepage: http://xen-tools.org/software/xen-tools
Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git

Package: xen-tools
Architecture: all
Depends: debootstrap | cdebootstrap,
         libconfig-inifiles-perl,
         libdata-validate-domain-perl,
         libdata-validate-ip-perl,
         libdata-validate-uri-perl,
         libfile-slurp-perl,
         libfile-which-perl,
         libtext-template-perl,
         openssh-client,
         perl-modules,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libexpect-perl,
            rinse (>= 1.9.1-1),
            xen-hypervisor-amd64 | xen-hypervisor-i386 | xen-hypervisor-i386-pae,
            xen-utils
Suggests: btrfs-tools,
          cfengine2,
          reiserfsprogs,
          xfsprogs
Description: Tools to manage Xen virtual servers
 This package contains tools to manage Debian based Xen virtual servers.
 .
 Using the scripts you can easily create fully configured Xen guest
 domains (DomU) which can be listed, updated, or copied easily.
 .
 xen-tools currently can install:
 .
   * Debian 3.1 Sarge (i386 only)
   * Debian 4.0 Etch
   * Debian 5.0 Lenny
   * Debian 6.0 Squeeze
   * Debian 7 Wheezy
   * Debian 8 Jessie (under development)
   * Debian Sid (Unstable)
   * Ubuntu 6.06 Dapper Drake (LTS)
   * Ubuntu 6.10 Edgy Eft
   * Ubuntu 7.04 Feisty Fawn
   * Ubuntu 7.10 Gutsy Gibbon
   * Ubuntu 8.04 Hardy Heron (LTS)
   * Ubuntu 8.10 Intrepid Ibex
   * Ubuntu 9.04 Jaunty Jackaplope
   * Ubuntu 9.10 Karmic Koala
   * Ubuntu 10.04 Lucid Lynx (LTS)
   * Ubuntu 10.10 Maverick Meerkat
   * Ubuntu 11.04 Natty Narwhal
   * Ubuntu 11.10 Oneiric Ocelot
   * Ubuntu 12.04 Precise Pangolin (LTS)
   * Ubuntu 12.10 Quantal Quetzal
   * Ubuntu 13.04 Raring Ringtail
   * Ubuntu 13.10 Saucy Salamander (under development)
   * CentOS 5
   * CentOS 6

## xen-tools 4.4~rc1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4beta1
+VERSION     = 4.4rc1
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -202,6 +202,7 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d quantal.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d trusty.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools

=== debian/changelog ===
xen-tools (4.4~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Also switch from cdn.debian.net to http.debian.net in xen-tools.conf
    - Do not run "passwd" via runCommand as that one captures STDOUT for
      logging. Makes --passwd usable again. Thanks to Christian Herzog for
      the bug report.
    - Loop around calling "passwd" to get a second chance to change the
      password. (Closes: #703159) Thanks to Joan <aseques@gmail.com> for a
      bug fix in this new code.
      + Add dependency on "libterm-ui-perl | perl (<< 5.17.0)"
    - Declares one more POD encoding and recode Xen::Tools::Common to
      UTF-8. Fixes FTBFS with Perl 5.18. (Finally closes: #720519)
    - Apply patch by Philipp Erbelding to fix overzealous line matching in
      xen-list-images. (Gitorious merge request #5)
    - xen-list-images now displays a unit after the memory size
    - Drop support for memory size in kilobytes in xen-create-image,
      neither xt-create-xen-config nor xm support it.
    - Refactoring: Replace all occurrences of "! -z" by "-n" in hooks and
      bash completion.
    - Handle potentially empty gateway setting properly in
      hooks/common/40-setup-networking-deb. Thanks Simone Caruso!
    - Reformat hooks/common/40-setup-networking-deb so that the result
      neither has trailing whitespace nor broken indentation.
    - Also display MAC address after the DomU has been created.
    - Preliminary support for Ubuntu 14.04 Trusty Tahr.
    - Added --maxmem flag to set a maximum value for dynamic memory
      ballooning. Thanks to Joan <aseques@gmail.com> for the patch!
    - Added fix by Patryk Ściborek againsat disableStartStopDaemon()
      aborting under some circumstances. (Closes: #725192)
    - Abort early and with proper error message if "xen-delete-image
      --test" is not used with "--dir". (Closes: #704878)
    - xen-delete-image: Exit with return code != 0 in all error cases.
    - Refactoring: xt-create-xen-config: Use s/// to strip trailing MB
      size suffixes.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Mon, 28 Oct 2013 22:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://xen-tools.org/software/xen-tools
 Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
 Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git
@@ -28,6 +28,7 @@
          libdata-validate-uri-perl,
          libfile-slurp-perl,
          libfile-which-perl,
+         libterm-ui-perl | perl (<< 5.17.0),
          libtext-template-perl,
          openssh-client,
          perl-modules,

## xen-tools 4.4

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4rc1
+VERSION     = 4.4
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git

=== t/Makefile ===

all:
	@cd ..; prove --shuffle t/

verbose:
	@cd ..; prove --shuffle --verbose t/


modules: modules.sh
	./modules.sh > modules.t

clean:
	rm -vf *~ modules.t

=== debian/changelog ===
xen-tools (4.4-1) unstable; urgency=low

  * New upstream release
    - Run t/gitignore.t only if git is installed and .git present.
    - Rework "minimal" role to be less based on personal preferences.
      + No more installs sudo, vim, syslog-ng, etc.
      + Fixes usage together with pygrub.
    - hooks/common.sh: Split up installDebianPackage into
      installDebianPackage and installDebianPackageAndRecommends.
  * Also add build-dependency on "libterm-ui-perl | perl (<< 5.17.0)" and
    "liblog-message-perl | perl (<< 5.17.0)" to avoid warnings with Perl
    5.18 and future FTBFS.
  * Mention Ubuntu 14.04 Trusty Tahr in long description.

 -- Axel Beckert <abe@debian.org>  Wed, 11 Dec 2013 20:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                libdata-validate-uri-perl,
                libfile-slurp-perl,
                libfile-which-perl,
+               liblog-message-perl | perl (<< 5.17.0),
+               libterm-ui-perl | perl (<< 5.17.0),
                libtest-notabs-perl,
                libtest-pod-coverage-perl,
                libtest-pod-perl,
@@ -72,6 +74,7 @@
    * Ubuntu 12.04 Precise Pangolin (LTS)
    * Ubuntu 12.10 Quantal Quetzal
    * Ubuntu 13.04 Raring Ringtail
-   * Ubuntu 13.10 Saucy Salamander (under development)
+   * Ubuntu 13.10 Saucy Salamander
+   * Ubuntu 14.04 Trusty Tahr (LTS, under development)
    * CentOS 5
    * CentOS 6

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

=== debian/watch ===
#
#  Watchfile for xen-tools.
#
#
#  uscan version number - not the version of the software.
#
version=3


#
#  The link to the download location, followed by the regular expression
# to match release tarballs.
#
http://xen-tools.org/software/xen-tools/releases.html \
   xen-tools-([\d\.]+)\.tar\.gz

## xen-tools 4.5

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4
+VERSION     = 4.5
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -67,6 +67,7 @@
 	@if [ -e build-stamp ]; then rm -f build-stamp ; fi
 	@if [ -e configure-stamp ]; then rm -f configure-stamp ; fi
 	@if [ -d debian/xen-tools ]; then rm -rf ./debian/xen-tools; fi
+	@if [ -d cover_db ]; then rm -rf ./cover_db; fi
 	@if [ -e $(BASE)-$(VERSION).tar.gz ]; then rm $(BASE)-$(VERSION).tar.gz ; fi
 	@if [ -e $(BASE)-$(VERSION).tar.gz.asc ]; then rm $(BASE)-$(VERSION).tar.gz.asc ; fi
 	cd t; $(MAKE) clean
@@ -203,6 +204,8 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d trusty.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d utopic.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d vivid.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
@@ -245,6 +248,7 @@
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
+	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/cover_db
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.git*
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar

=== debian/changelog ===
xen-tools (4.5-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add patches/lvcreate_wheezy, as lvcreate on wheezy don't know --yes

 -- Jan Wagner <waja@cyconet.org>  Tue, 12 May 2015 14:44:26 +0200

xen-tools (4.5-1) unstable; urgency=low

  * New upstream release
    + Use "686-pae" kernels instead of "686" kernels on Debian Wheezy and
      later. Thanks to Daniel Lintott! (Closes: #742778)
    + Pass "-y" option ("assume yes") to yum (Closes: #735675)
      Thanks Lionel FÉLICITÉ!
    + Drop all xend related sanity checks, they cause more havoc nowadays
      than they help. Thanks Ian Campbell! (Closes: #732456)
    + Apply patch by Adrian C. (anrxc) to allow to override hooks in
      /usr/share/xen-tools/*.d/ with hooks in /etc/xen-tools/hooks.d/.
      Thanks! (Also add /etc/xen-tools/hooks.d/ to debian/dirs.)
    + Ignore cover_db directory in t/perl-syntax.t.
    + Update list of supported Ubuntu releases.
      - Add support for Ubuntu 14.10 Utopic Unicorn.
      - Add preliminary support for Ubuntu 15.04 Vivid Vervet.
      - Use old-releases.ubuntu.com for Ubuntu 13.10 Saucy Salamander.
    + Fix always empty gateway on Debian DomUs (Thanks Joan! LP: #1328794)
    + pygrub detection: Prefer /usr/lib/xen-default over /usr/lib/xen-x.y.
    + Fix lvcreate awaiting user input when creating swap lv (Closes: #754517)
      Thanks Eric Engstrom!
    + Fix missing quoting in shell function "assert" in hooks/common.sh.
    + Fix initial configuration summary in cases where pygrub is used.
    + Fix corner cases where not the latest kernel would have been checked.
    + --password overrides --genpass. (Closes: #764143) Based on patch by
      Santiago Vila.
    + Add password length sanity check with fallback to default length.
    + Raise default password length from 8 to 23.
    + Flush output after each line in runCommand().
    + Makefile: Clean up coverage data in multiple targets.
    + t/perl-syntax.t: Ignore changelog files, too.

    [ Santiago Vila ]
    + Fix unaligned maxmem output of xen-create-image. (Closes: #764126)
    + Fix copy & paste errors in comments in typos in roles/puppet
      (Closes: #764134)
    + Fix typos in POD of xen-create-image (Closes: #764153)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix lintian warning depends-on-perl-modules.
  * Add lintian override for debian-news-entry-uses-asterisk; I disagree.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 23:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
+Uploaders: Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 9~),
                devscripts,
                git,
@@ -16,7 +17,7 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://xen-tools.org/software/xen-tools
 Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
 Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git
@@ -33,7 +34,7 @@
          libterm-ui-perl | perl (<< 5.17.0),
          libtext-template-perl,
          openssh-client,
-         perl-modules,
+         perl,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: libexpect-perl,
@@ -75,6 +76,8 @@
    * Ubuntu 12.10 Quantal Quetzal
    * Ubuntu 13.04 Raring Ringtail
    * Ubuntu 13.10 Saucy Salamander
-   * Ubuntu 14.04 Trusty Tahr (LTS, under development)
+   * Ubuntu 14.04 Trusty Tahr (LTS)
+   * Ubuntu 14.10 Utopic Unicorn
+   * Ubuntu 15.05 Vivid Vervet (under development)
    * CentOS 5
    * CentOS 6
